Bug 44876 - Spacing on Main Window toolbars
Spacing on Main Window toolbars
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
4.x
PC Linux
: P4 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
issue_reviewed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-15 14:29 UTC by Milan Kubec
Modified: 2008-12-22 14:50 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (10.17 KB, image/png)
2004-06-15 14:30 UTC, Milan Kubec
Details
Original toolbar snapshot (31.44 KB, image/png)
2004-06-25 11:42 UTC, mslama
Details
Toolbar snapshot with shifted icons in Editor toolbar (32.07 KB, image/png)
2004-06-25 11:42 UTC, mslama
Details
List of icons (1.03 KB, text/plain)
2004-10-27 10:16 UTC, mslama
Details
cvs check-in log (7.61 KB, text/plain)
2005-01-31 15:38 UTC, Stanislav Aubrecht
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Kubec 2004-06-15 14:29:25 UTC
[custom build 20040615, JDK 1.5.0, Metal L&F]

See attached screenshot, it shows strange spacing
of components on Main Window toolbars. Mainly
icons are not centered vertically nor
horizontally. Icons (and memory meter) touch
tollbar handles. Toolbar handles are not centered
either. 

Partially applies for small icons toolbar too.

It's not P3 by definition, but Main Window is
highly visible component, so please leave as P3.
Comment 1 Milan Kubec 2004-06-15 14:30:15 UTC
Created attachment 15705 [details]
screenshot
Comment 2 David Simonek 2004-06-15 15:53:37 UTC
Passing to Marek.
Comment 3 mslama 2004-06-18 14:57:31 UTC
Icons contain shadow. Together with shadow icon pictures should be
centered. You can discuss with HIE if it is real or just fake effect.
Impl does not do any shift of icon position in toolbar button. I would
take screenshot put axis and measure exactly how big is margin in pixels.
Comment 4 mslama 2004-06-18 15:00:05 UTC
I would try to shift icons by one pixel to lower right corner. As
shadow is just shadow it looks like icons are not centered. What do
HIE think?
Comment 5 dpavlica 2004-06-21 09:30:40 UTC
Ok, let's try to move it 1 pixel to lower right corner and we will 
see...
Comment 6 mslama 2004-06-25 11:41:18 UTC
I will attach 2 toolbar screenshots: 
toolbar24 is original toolbar. 
toolbar24-1 is toolbar with icons shifted by 1 pixel to right and to
bottom. (Icons in Editor toolbar are shifted: Cut, Copy, Paste, Undo
,Redo, Find.)
Comment 7 mslama 2004-06-25 11:42:03 UTC
Created attachment 16000 [details]
Original toolbar snapshot
Comment 8 mslama 2004-06-25 11:42:53 UTC
Created attachment 16001 [details]
Toolbar snapshot with shifted icons in Editor toolbar
Comment 9 mslama 2004-07-08 14:28:39 UTC
Dusan anything new with this issue?
Comment 10 dpavlica 2004-07-08 15:23:56 UTC
I showed it to Leos (graphic expert) and he agreed with moving it 1
pixel to lower right corner.
Comment 11 mslama 2004-07-08 15:25:46 UTC
Ok. Shall I do the same shift also with 16x16 icons? Shall I attach
snaphots for 16x16 icons?
Comment 12 mslama 2004-08-31 12:04:45 UTC
Dusan it is nice but when there will be new icons I do not want to
shift it again and again. (Actually I did shift in gimp. I do not know
if it is possible to make such operation from command line ie. without
GUI). It would be better to make shift at source. Again what to do
with 16x16 icons?
Comment 13 dpavlica 2004-10-26 18:37:12 UTC
Yes, there will be new icons according to the new brand but it will 
not be so soon (My assumption is half of year at least). Try to 
commit that improved bigger icons into trunk and I will check that 
small ones (16x16) by our graphic expert.
Comment 14 mslama 2004-10-27 10:14:56 UTC
Too late for NB 4.0. Reassigning to Dafe: It is necessary to shift new
24x24 icons (used in toolbar) by 1 pixel to right and 1 pixel to
bottom. I did it in gimp manually. I will attach list of icons (24x24
icons have suffix 24)
Comment 15 mslama 2004-10-27 10:16:09 UTC
Created attachment 18549 [details]
List of icons
Comment 16 Stanislav Aubrecht 2005-01-31 15:37:27 UTC
i move all icon's in marek's list one pixel to the right and one pixel
down. see the attachement for the list of modified icons
Comment 17 Stanislav Aubrecht 2005-01-31 15:38:08 UTC
Created attachment 20093 [details]
cvs check-in log
Comment 18 Stanislav Aubrecht 2005-01-31 15:39:39 UTC
dusan, pls check the new icons and close the issue if you think
everything is alright. (or reassign back to me and i'll close it)

btw, what the other icons that may appear in the main toolbar?
Comment 19 Jan Chalupa 2005-03-16 21:00:33 UTC
Still waiting for Dusan's confirmation, but the icons positions have been fixed
and look ok to me now.

Note that the Memory toolbar position hasn't changed and still touches the
toolbar handle on Metal L&F. It looks fine on XP L&F. This is a minor issue as
Memory toolbar is off by default in a released product -> P4.
Comment 20 dpavlica 2005-03-17 13:22:47 UTC
Standard icons (Build, Debug, Edit, File, Versioning) look ok now.

What do you mean by ...the other icons that may appear in the main toolbar?...
Which ones concretely?
Comment 21 Milos Kleint 2005-03-17 14:25:35 UTC
well, any. in the tools/options dialog you can put any declared action into the
toolbar. it's icon will be used. Thus we have the look for the default actions
tuned, but any 3rd party action's icon will not be shifted. Do I understand it
correctly?
Comment 22 dpavlica 2005-03-17 17:06:51 UTC
There is a suggestion what should happened with 3d party icons in the following
 spec in the chapter Additional behavior: 
http://ui.netbeans.org/docs/ui/toolbar/

There should exist placeholder icon used for merging with other small icons:
http://ui.netbeans.org/docs/ui/toolbar/images/placeholder-clear.png
http://ui.netbeans.org/docs/ui/toolbar/images/placeholder-merged.png
Comment 23 Stanislav Aubrecht 2008-11-21 09:21:17 UTC
icons don't have a shadow anymore, closing


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo